org.wildfly.swarm.config.messaging.activemq.server

## Class ClusterConnection<T extends ClusterConnection<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.ClusterConnection<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ClusterConnection<T extends ClusterConnection<T>>
      extends HashMap

  Cluster connections group servers into clusters so that messages can be load balanced between the nodes of the cluster.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClusterConnection.MessageLoadBalancingType`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterConnection(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowDirectConnectionsOnly()` Whether, if a node learns of the existence of a node that is more than 1 hop away, we do not create a bridge for direct cluster connection.
    `T` | `allowDirectConnectionsOnly(Boolean value)` Whether, if a node learns of the existence of a node that is more than 1 hop away, we do not create a bridge for direct cluster connection.
    `Long` | `callFailoverTimeout()` The timeout to use when fail over is in process (in ms) for remote calls made by the cluster connection.
    `T` | `callFailoverTimeout(Long value)` The timeout to use when fail over is in process (in ms) for remote calls made by the cluster connection.
    `Long` | `callTimeout()` The timeout (in ms) for remote calls made by the cluster connection.
    `T` | `callTimeout(Long value)` The timeout (in ms) for remote calls made by the cluster connection.
    `Long` | `checkPeriod()` The period (in milliseconds) between client failure check.
    `T` | `checkPeriod(Long value)` The period (in milliseconds) between client failure check.
    `String` | `clusterConnectionAddress()` Each cluster connection only applies to messages sent to an address that starts with this value.
    `T` | `clusterConnectionAddress(String value)` Each cluster connection only applies to messages sent to an address that starts with this value.
    `Integer` | `confirmationWindowSize()` The confirmation-window-size to use for the connection used to forward messages to a target node.
    `T` | `confirmationWindowSize(Integer value)` The confirmation-window-size to use for the connection used to forward messages to a target node.
    `Long` | `connectionTtl()` The maximum time (in milliseconds) for which the connections used by the cluster connections are considered alive (in the absence of heartbeat).
    `T` | `connectionTtl(Long value)` The maximum time (in milliseconds) for which the connections used by the cluster connections are considered alive (in the absence of heartbeat).
    `String` | `connectorName()` The name of connector to use for live connection
    `T` | `connectorName(String value)` The name of connector to use for live connection
    `String` | `discoveryGroup()` The discovery group used to obtain the list of other servers in the cluster to which this cluster connection will make connections.
    `T` | `discoveryGroup(String value)` The discovery group used to obtain the list of other servers in the cluster to which this cluster connection will make connections.
    `String` | `getKey()`
    `Integer` | `initialConnectAttempts()` The number of attempts to connect initially with this cluster connection.
    `T` | `initialConnectAttempts(Integer value)` The number of attempts to connect initially with this cluster connection.
    `Integer` | `maxHops()` The maximum number of times a message can be forwarded.
    `T` | `maxHops(Integer value)` The maximum number of times a message can be forwarded.
    `Long` | `maxRetryInterval()` The maximum interval of time used to retry connections
    `T` | `maxRetryInterval(Long value)` The maximum interval of time used to retry connections
    `ClusterConnection.MessageLoadBalancingType` | `messageLoadBalancingType()` The type of message load balancing provided by the cluster connection.
    `T` | `messageLoadBalancingType(ClusterConnection.MessageLoadBalancingType value)` The type of message load balancing provided by the cluster connection.
    `Integer` | `minLargeMessageSize()` The minimum size (in bytes) for a message before it is considered as a large message.
    `T` | `minLargeMessageSize(Integer value)` The minimum size (in bytes) for a message before it is considered as a large message.
    `String` | `nodeId()` The node ID used by this cluster connection.
    `T` | `nodeId(String value)` The node ID used by this cluster connection.
    `Integer` | `notificationAttempts()` How many times the cluster connection will broadcast itself
    `T` | `notificationAttempts(Integer value)` How many times the cluster connection will broadcast itself
    `Long` | `notificationInterval()` How often the cluster connection will broadcast itself
    `T` | `notificationInterval(Long value)` How often the cluster connection will broadcast itself
    `Integer` | `reconnectAttempts()` The total number of reconnect attempts the bridge will make before giving up and shutting down.
    `T` | `reconnectAttempts(Integer value)` The total number of reconnect attempts the bridge will make before giving up and shutting down.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `retryInterval()` The period in milliseconds between subsequent attempts to reconnect to a target server, if the connection to the target server has failed.
    `T` | `retryInterval(Long value)` The period in milliseconds between subsequent attempts to reconnect to a target server, if the connection to the target server has failed.
    `BigDecimal` | `retryIntervalMultiplier()` A multiplier to apply to the time since the last retry to compute the time to the next retry.
    `T` | `retryIntervalMultiplier(BigDecimal value)` A multiplier to apply to the time since the last retry to compute the time to the next retry.
    `Boolean` | `started()` Whether the cluster connection is started.
    `T` | `started(Boolean value)` Whether the cluster connection is started.
    `T` | `staticConnector(String value)` The statically defined list of connectors to which this cluster connection will make connections.
    `List<String>` | `staticConnectors()` The statically defined list of connectors to which this cluster connection will make connections.
    `T` | `staticConnectors(List<String> value)` The statically defined list of connectors to which this cluster connection will make connections.
    `T` | `staticConnectors(String... args)` The statically defined list of connectors to which this cluster connection will make connections.
    `String` | `topology()` The topology of the nodes that this cluster connection is aware of.
    `T` | `topology(String value)` The topology of the nodes that this cluster connection is aware of.
    `Boolean` | `useDuplicateDetection()` Whether the bridge will automatically insert a duplicate id property into each message that it forwards.
    `T` | `useDuplicateDetection(Boolean value)` Whether the bridge will automatically insert a duplicate id property into each message that it forwards.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClusterConnection

          public ClusterConnection(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### allowDirectConnectionsOnly

          public Boolean allowDirectConnectionsOnly()

      Whether, if a node learns of the existence of a node that is more than 1 hop away, we do not create a bridge for direct cluster connection. Only relevant if 'static-connectors' is defined.

    - #### allowDirectConnectionsOnly

          public T allowDirectConnectionsOnly(Boolean value)

      Whether, if a node learns of the existence of a node that is more than 1 hop away, we do not create a bridge for direct cluster connection. Only relevant if 'static-connectors' is defined.

    - #### callFailoverTimeout

          public Long callFailoverTimeout()

      The timeout to use when fail over is in process (in ms) for remote calls made by the cluster connection.

    - #### callFailoverTimeout

          public T callFailoverTimeout(Long value)

      The timeout to use when fail over is in process (in ms) for remote calls made by the cluster connection.

    - #### callTimeout

          public Long callTimeout()

      The timeout (in ms) for remote calls made by the cluster connection.

    - #### callTimeout

          public T callTimeout(Long value)

      The timeout (in ms) for remote calls made by the cluster connection.

    - #### checkPeriod

          public Long checkPeriod()

      The period (in milliseconds) between client failure check.

    - #### checkPeriod

          public T checkPeriod(Long value)

      The period (in milliseconds) between client failure check.

    - #### clusterConnectionAddress

          public String clusterConnectionAddress()

      Each cluster connection only applies to messages sent to an address that starts with this value.

    - #### clusterConnectionAddress

          public T clusterConnectionAddress(String value)

      Each cluster connection only applies to messages sent to an address that starts with this value.

    - #### confirmationWindowSize

          public Integer confirmationWindowSize()

      The confirmation-window-size to use for the connection used to forward messages to a target node.

    - #### confirmationWindowSize

          public T confirmationWindowSize(Integer value)

      The confirmation-window-size to use for the connection used to forward messages to a target node.

    - #### connectionTtl

          public Long connectionTtl()

      The maximum time (in milliseconds) for which the connections used by the cluster connections are considered alive (in the absence of heartbeat).

    - #### connectionTtl

          public T connectionTtl(Long value)

      The maximum time (in milliseconds) for which the connections used by the cluster connections are considered alive (in the absence of heartbeat).

    - #### connectorName

          public String connectorName()

      The name of connector to use for live connection

    - #### connectorName

          public T connectorName(String value)

      The name of connector to use for live connection

    - #### discoveryGroup

          public String discoveryGroup()

      The discovery group used to obtain the list of other servers in the cluster to which this cluster connection will make connections. Must be undefined (null) if 'static-connectors' is defined.

    - #### discoveryGroup

          public T discoveryGroup(String value)

      The discovery group used to obtain the list of other servers in the cluster to which this cluster connection will make connections. Must be undefined (null) if 'static-connectors' is defined.

    - #### initialConnectAttempts

          public Integer initialConnectAttempts()

      The number of attempts to connect initially with this cluster connection.

    - #### initialConnectAttempts

          public T initialConnectAttempts(Integer value)

      The number of attempts to connect initially with this cluster connection.

    - #### maxHops

          public Integer maxHops()

      The maximum number of times a message can be forwarded. ActiveMQ can be configured to also load balance messages to nodes which might be connected to it only indirectly with other ActiveMQ servers as intermediates in a chain.

    - #### maxHops

          public T maxHops(Integer value)

      The maximum number of times a message can be forwarded. ActiveMQ can be configured to also load balance messages to nodes which might be connected to it only indirectly with other ActiveMQ servers as intermediates in a chain.

    - #### maxRetryInterval

          public Long maxRetryInterval()

      The maximum interval of time used to retry connections

    - #### maxRetryInterval

          public T maxRetryInterval(Long value)

      The maximum interval of time used to retry connections

    - #### messageLoadBalancingType

          public ClusterConnection.MessageLoadBalancingType messageLoadBalancingType()

      The type of message load balancing provided by the cluster connection.

    - #### messageLoadBalancingType

          public T messageLoadBalancingType(ClusterConnection.MessageLoadBalancingType value)

      The type of message load balancing provided by the cluster connection.

    - #### minLargeMessageSize

          public Integer minLargeMessageSize()

      The minimum size (in bytes) for a message before it is considered as a large message.

    - #### minLargeMessageSize

          public T minLargeMessageSize(Integer value)

      The minimum size (in bytes) for a message before it is considered as a large message.

    - #### nodeId

          public String nodeId()

      The node ID used by this cluster connection.

    - #### nodeId

          public T nodeId(String value)

      The node ID used by this cluster connection.

    - #### notificationAttempts

          public Integer notificationAttempts()

      How many times the cluster connection will broadcast itself

    - #### notificationAttempts

          public T notificationAttempts(Integer value)

      How many times the cluster connection will broadcast itself

    - #### notificationInterval

          public Long notificationInterval()

      How often the cluster connection will broadcast itself

    - #### notificationInterval

          public T notificationInterval(Long value)

      How often the cluster connection will broadcast itself

    - #### reconnectAttempts

          public Integer reconnectAttempts()

      The total number of reconnect attempts the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### reconnectAttempts

          public T reconnectAttempts(Integer value)

      The total number of reconnect attempts the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### retryInterval

          public Long retryInterval()

      The period in milliseconds between subsequent attempts to reconnect to a target server, if the connection to the target server has failed.

    - #### retryInterval

          public T retryInterval(Long value)

      The period in milliseconds between subsequent attempts to reconnect to a target server, if the connection to the target server has failed.

    - #### retryIntervalMultiplier

          public BigDecimal retryIntervalMultiplier()

      A multiplier to apply to the time since the last retry to compute the time to the next retry. This allows you to implement an exponential backoff between retry attempts.

    - #### retryIntervalMultiplier

          public T retryIntervalMultiplier(BigDecimal value)

      A multiplier to apply to the time since the last retry to compute the time to the next retry. This allows you to implement an exponential backoff between retry attempts.

    - #### started

          public Boolean started()

      Whether the cluster connection is started.

    - #### started

          public T started(Boolean value)

      Whether the cluster connection is started.

    - #### staticConnectors

          public List<String> staticConnectors()

      The statically defined list of connectors to which this cluster connection will make connections. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnectors

          public T staticConnectors(List<String> value)

      The statically defined list of connectors to which this cluster connection will make connections. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnector

          public T staticConnector(String value)

      The statically defined list of connectors to which this cluster connection will make connections. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnectors

          public T staticConnectors(String... args)

      The statically defined list of connectors to which this cluster connection will make connections. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### topology

          public String topology()

      The topology of the nodes that this cluster connection is aware of.

    - #### topology

          public T topology(String value)

      The topology of the nodes that this cluster connection is aware of.

    - #### useDuplicateDetection

          public Boolean useDuplicateDetection()

      Whether the bridge will automatically insert a duplicate id property into each message that it forwards.

    - #### useDuplicateDetection

          public T useDuplicateDetection(Boolean value)

      Whether the bridge will automatically insert a duplicate id property into each message that it forwards.

Copyright © 2017 JBoss by Red Hat. All rights reserved.